/* Declaración de font-family y estilos de texto, incluidas media queries para mobile */

@font-face {
  font-family: 'Switzer Light';
  src: url('../fonts/Switzer-Light.woff2') format('woff2'),
       url('../fonts/Switzer-Light.woff') format('woff'),
       url('../fonts/Switzer-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Switzer Regular';
  src: url('../fonts/Switzer-Regular.woff2') format('woff2'),
       url('../fonts/Switzer-Regular.woff') format('woff'),
       url('../fonts/Switzer-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Switzer Medium';
  src: url('../fonts/Switzer-Medium.woff2') format('woff2'),
       url('../fonts/Switzer-Medium.woff') format('woff'),
       url('../fonts/Switzer-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Switzer Semibold';
  src: url('../fonts/Switzer-Semibold.woff2') format('woff2'),
       url('../fonts/Switzer-Semibold.woff') format('woff'),
       url('../fonts/Switzer-Semibold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

.text-center {
  text-align: center !important;
}

:root {
  --font-family-primary: 'Switzer Regular', Arial, sans-serif;
  --font-h1: 'Switzer Regular', Arial, sans-serif;
  --font-h2: 'Switzer Regular', Arial, sans-serif;
  --font-h3: 'Switzer Light', Arial, sans-serif;
  --font-h4: 'Switzer Light', Arial, sans-serif;
  --font-h5: 'Switzer Regular', Arial, sans-serif;
  --font-h6: 'Switzer Light', Arial, sans-serif;
  --font-paragraph: 'Switzer Light', Arial, sans-serif;
  --font-caption-bold: 'Switzer Medium', Arial, sans-serif;
  --font-caption-regular: 'Switzer Regular', Arial, sans-serif;
}

h3 {
  font-family: var(--font-h3);
  font-size: 194px;
  line-height: 200px;
  letter-spacing: -3%;
  margin: 0;
  padding: 0;
}
h1, .h1 {
  font-family: var(--font-h1);
  font-size: 70px;
  line-height: 76px;
  letter-spacing: -2%;
  margin: 0;
  padding: 0;
}
h4 {
  font-family: var(--font-h4);
  font-size: 44px;
  line-height: 56px;
  letter-spacing: -2%;
  margin: 0;
  padding: 0;
}
h5 {
  font-family: var(--font-h5);
  font-size: 24px;
  line-height: 36px;
  font-weight: 400;
  letter-spacing: 0;
  margin: 0;
  padding: 0;
}
h6 {
  font-family: var(--font-h6);
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 2%;
  margin: 0;
  padding: 0;
}
h2, p {
  font-family: var(--font-paragraph);
  font-size: 19px;
  line-height: 30px;
  letter-spacing: 0;
  margin: 0;
  padding: 0;
}
p.caption-bold {
  font-family: var(--font-caption-bold);
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0;
}
p.caption-regular {
  font-family: var(--font-caption-regular);
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0;
}


@media (max-width: 900px) {
  h3 {
    font-size: 70px !important;
    line-height: 90px !important;
    letter-spacing: -2%;
  }
  h1, .h1 {
    font-size: 50px !important;
    line-height: 56px !important;
    letter-spacing: -2%;
  }
  h4 {
    font-size: 36px !important;
    line-height: 44px !important;
    letter-spacing: -2%;
  }
  h5 {
    font-size: 22px !important;
    line-height: 34px !important;
    letter-spacing: 0;
  }
  h6 {
    font-size: 16px !important;
    line-height: 24px !important;
    letter-spacing: 1%;
  }
  h2, p {
    font-size: 19px !important;
    line-height: 30px !important;
    letter-spacing: 0;
  }
  p.caption-bold, p.caption-regular {
    font-size: 14px !important;
    line-height: 24px !important;
    letter-spacing: 0;
  }

}
